#! /bin/bash
#This recipe was adapted from the default and conda-forge recipes

if [ "${target_platform}" = "osx-64" ] ; then
#    export CFLAGS="$CFLAGS -I$PREFIX/include -DCONDA_PREFIX=\\\"${PREFIX}\\\""
#    export CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include"
#    export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib -Wl,-rpath,${PREFIX}/lib"
    CONDA_BUILD_SYSROOT=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk
    XWIN_ARGS="--x-includes=/opt/X11/include --x-libraries=/opt/X11/lib"
    export PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig:$CONDA_PREFIX/lib/pkgconfig:/opt/X11/lib/pkgconfig"
    #Issue with competing X11 libs (from tk)
    rm -rf $PREFIX/include/X11
    rm -rf $CONDA_PREFIX/include/X11
elif [ "${target_platform}" = "linux-64" ] ; then
    XWIN_ARGS=--with-x
    #The CDTs are missing some of the pc files being looked for. Need to set this.
    export EGL_LIBS="-L$PREFIX/lib -L$CONDA_PREFIX/lib -L$CONDA_PREFIX/${HOST}/sysroot/usr/lib64"
    export EGL_CFLAGS="-I$PREFIX/include -I$CONDA_PREFIX/include -I$PREFIX/include/xcb"
    export PATH="$PATH:$PREFIX/$HOST/sysroot/usr/bin"
fi

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $CONDA_PREFIX -name '*.la' -delete

./configure --prefix=${PREFIX} $XWIN_ARGS || { cat config.log; exit 1; }

make -j${CPU_COUNT} ${VERBOSE_AT}
make install

find $PREFIX -name '*.la' -delete
